VOOZH about

URL: https://developers.openai.com/api/reference/resources/evals/methods/retrieve

⇱ Get an eval | OpenAI API Reference


Skip to content

Get an eval

GET/evals/{eval_id}

Get an evaluation by ID.

Path ParametersExpand Collapse
eval_id: string
ReturnsExpand Collapse
id: string

Unique identifier for the evaluation.

created_at: number

The Unix timestamp (in seconds) for when the eval was created.

formatunixtime
metadata: Metadata

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

name: string

The name of the evaluation.

object: "eval"

The object type.

Get an eval

curl https://api.openai.com/v1/evals/eval_67abd54d9b0081909a86353f6fb9317a \
 -H "Authorization: Bearer $OPENAI_API_KEY" \
 -H "Content-Type: application/json"
{
 "object": "eval",
 "id": "eval_67abd54d9b0081909a86353f6fb9317a",
 "data_source_config": {
 "type": "custom",
 "schema": {
 "type": "object",
 "properties": {
 "item": {
 "type": "object",
 "properties": {
 "input": {
 "type": "string"
 },
 "ground_truth": {
 "type": "string"
 }
 },
 "required": [
 "input",
 "ground_truth"
 ]
 }
 },
 "required": [
 "item"
 ]
 }
 },
 "testing_criteria": [
 {
 "name": "String check",
 "id": "String check-2eaf2d8d-d649-4335-8148-9535a7ca73c2",
 "type": "string_check",
 "input": "{{item.input}}",
 "reference": "{{item.ground_truth}}",
 "operation": "eq"
 }
 ],
 "name": "External Data Eval",
 "created_at": 1739314509,
 "metadata": {},
}
Returns Examples
{
 "object": "eval",
 "id": "eval_67abd54d9b0081909a86353f6fb9317a",
 "data_source_config": {
 "type": "custom",
 "schema": {
 "type": "object",
 "properties": {
 "item": {
 "type": "object",
 "properties": {
 "input": {
 "type": "string"
 },
 "ground_truth": {
 "type": "string"
 }
 },
 "required": [
 "input",
 "ground_truth"
 ]
 }
 },
 "required": [
 "item"
 ]
 }
 },
 "testing_criteria": [
 {
 "name": "String check",
 "id": "String check-2eaf2d8d-d649-4335-8148-9535a7ca73c2",
 "type": "string_check",
 "input": "{{item.input}}",
 "reference": "{{item.ground_truth}}",
 "operation": "eq"
 }
 ],
 "name": "External Data Eval",
 "created_at": 1739314509,
 "metadata": {},
}